"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// import css
require("../../../css/sheet-tab.css");
/*
    Displays a set of actions one can perform on a sheet tab, including
    deleting, duplicating, or renaming.
*/
function SheetTabActions(props) {
    const onDelete = () => __awaiter(this, void 0, void 0, function* () {
        yield props.mitoAPI.sendDataframeDeleteMessage(props.sheetIndex);
        props.setCurrOpenSheetTabActions(undefined);
    });
    const onDuplicate = () => __awaiter(this, void 0, void 0, function* () {
        yield props.mitoAPI.sendDataframeDuplicateMessage(props.sheetIndex);
        props.setCurrOpenSheetTabActions(undefined);
    });
    /* Rename helper, which requires changes to the sheet tab itself */
    const onRename = () => {
        props.setCurrOpenSheetTabActions(undefined);
        props.setIsRename(true);
    };
    return (react_1.default.createElement("div", { className: 'sheet-tab-actions-dropdown', style: { left: props.getLeftShift() } },
        react_1.default.createElement("div", { className: 'sheet-tab-action', onClick: onDelete }, "Delete"),
        react_1.default.createElement("div", { className: 'sheet-tab-action', onClick: onDuplicate }, "Duplicate"),
        react_1.default.createElement("div", { className: 'sheet-tab-action', onClick: onRename }, "Rename")));
}
exports.default = SheetTabActions;
//# sourceMappingURL=SheetTabActions.js.map