"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
/*
    Each Taskpane has a type (included TaskpaneType.NONE, which is the type of _no taskpane_ (e.g. nothing is displayed)).

    If you want to be able to open a taskpane in Mito, then you need to add the type of this taskpane,
    as well as any parameters it has, to this type.

    For example, if you create a new taskpane 'Dork' that takes a columnHeader as input, then you should
    add a new element here that looks like:
        | {type: 'TaskpaneType.DORK', columnHeader: string}
*/
var TaskpaneType;
(function (TaskpaneType) {
    TaskpaneType["NONE"] = "none";
    TaskpaneType["PIVOT"] = "pivot";
    TaskpaneType["MERGE"] = "merge";
    TaskpaneType["DOCUMENTATION"] = "documentation";
    TaskpaneType["CONTROL_PANEL"] = "control_panel";
})(TaskpaneType = exports.TaskpaneType || (exports.TaskpaneType = {}));
/*
    EDITING_TASKPANES are taskpanes that live update edit the sheet using overwrite=True and therefore should be closed
    when the user begins editing the sheet through some other method.

    EDITING_TASKPANES include: pivot and merge
*/
exports.EDITING_TASKPANES = [TaskpaneType.PIVOT, TaskpaneType.MERGE];
//# sourceMappingURL=taskpanes.js.map